#!/bin/sh

SERVER_DIR=/opt/IBM/RDAIXLinux/9.1/rse;
cd $SERVER_DIR
CLASSPATH=.:dstore_extra_server.jar:dstore_core.jar:dstore_miners.jar:clientserver.jar:cdtminer.jar:cdtmodel.jar:cdtparser.jar:lrparser.jar:xlcparser.jar:upcparser.jar:net.sourceforge.lpg.lpgjavaruntime_1.1.0.v201004271650.jar:org.eclipse.core.runtime_3.8.0.v20120521-2346.jar:org.eclipse.equinox.common_3.6.100.v20120522-1841.jar:org.eclipse.core.filesystem_1.3.200.v20120522-2012.jar:com.ibm.icu_4.4.2.v20110823.jar:stubs.jar:com.ibm.etools.minerhelpers.jazz.jar:com.ibm.etools.minerhelpers.pushpull.jar:spawner.jar:standaloneIndexer.jar:offlineIndexer.jar:$CLASSPATH;
export serverpath CLASSPATH;

if [ $# -ne 2 ]
then
    echo "Usage: offlineIndexer.sh [srcPath] [propertiesFile]"
    exit 0
fi

propertiesFile=$2

srcPath=$1


$SERVER_DIR/runOfflineIndexer.sh $CLASSPATH $SERVER_DIR $srcPath $propertiesFile

