#!/bin/sh

raw=`dirname "$0"`
dir=`cd "$raw" ; pwd`
javaExe=`dirname "$dir"`"/ibm-java-71-64bit/jre/bin/java"



if [ $# -gt 3 ]; then
 propertiesFile=$4
fi
if [ $# -gt 2 ]; then
 srcPath=$3
fi
if [ $# -gt 1 ]; then
 pathIN=$2
fi
if [ $# -gt 0 ]; then
 classpath=$1
fi


export SERVER_DIR=$pathIN
export LIBPATH=$SERVER_DIR/:$SERVER_DIR/../cobol/:$LIBPATH
export COBOPT="COMPILE,TEST,ADATA,EXIT(ADEXIT(CBLERREX))"


if  [ $# -gt 3 ]; then
        $javaExe -Xms64m -Xmx512m -Xss2m -cp $classpath -DA_PLUGIN_PATH=$pathIN -DDSTORE_SPIRIT_ON=false com.ibm.etools.offline.index.controller.OfflineIndexerDriver $srcPath $propertiesFile
fi


