#!/bin/sh
#
#
#
#
#

raw=`dirname "$0"`
dir=`cd "$raw" ; pwd`
#javaExe=`dirname "$dir"`"/ibm-java-70-64bit/jre/bin/java"
javaExe=`dirname "$dir"`"/ibm-java-71-64bit/jre/bin/java"


ticketIN=null;
timeoutIN=60000;
portIN=0;
pathIN=asdf;
classpath=safd;


if [ $# -gt 4 ]; then
 ticketIN=$5
fi
if [ $# -gt 3 ]; then
 timeoutIN=$4
fi
if [ $# -gt 2 ]; then
 portIN=$3
fi
if [ $# -gt 1 ]; then
 pathIN=$2
fi
if [ $# -gt 0 ]; then
 classpath=$1
fi

# Need to make sure that the correct versions of the following are in the path:
#  -java
#  -xlc

export SERVER_DIR="$dir/"
export LD_LIBRARY_PATH=$SERVER_DIR/:$LD_LIBRARY_PATH

# spiriting and memory logging
SPIRIT_ON=true;
MEMLOGGING_ON=false;

# Datastore trace
TRACE_ON=false;

if [ $# -gt 4 ]; then
        $javaExe -Xms64m -Xmx128m -Xss2m -cp $classpath -DA_PLUGIN_PATH=$pathIN -DDSTORE_SPIRIT_ON=$SPIRIT_ON -DDSTORE_MEMLOGGING_ON=$MEMLOGGING_ON -DDSTORE_TRACING_ON=$TRACE_ON org.eclipse.dstore.core.server.Server $portIN $timeoutIN $ticketIN
elif  [ $# -gt 3 ]; then
        $javaExe -Xms64m -Xmx128m -Xss2m -cp $classpath -DA_PLUGIN_PATH=$pathIN -DDSTORE_SPIRIT_ON=$SPIRIT_ON -DDSTORE_MEMLOGGING_ON=$MEMLOGGING_ON -DDSTORE_TRACING_ON=$TRACE_ON org.eclipse.dstore.core.server.Server $portIN $timeoutIN
fi


